import 'package:code_climate/src/parser.dart';
import 'package:test/test.dart';

import 'sample_outputs.dart';

void main() {
  test('flutter analyze test', () {
    final parser = FlutterParser();
    final result = parser.parseFlutterAnalyzeOutput(flutterAnalyzeOutput);

    expect(result.length, 1);

    final issue = result.first;

    expect(issue.checkName, 'unused_element');
    expect(issue.description,
        'The declaration \'_unusedMethod\' isn\'t referenced');
    expect(issue.severity, 'info');
    expect(issue.location.beginLine, 12);
    expect(issue.location.beginColumn, 8);
    expect(issue.location.endLine, 12);
    expect(issue.location.endColumn, 9);
  });

  test('flutter format test', () {
    final parser = FlutterParser();
    final result = parser.parseFlutterFormatOutput(flutterFormatOutput);

    expect(result.length, 2);

    final issue = result.first;

    expect(issue.checkName, 'style');
    expect(issue.description,
        'The declaration \'_unusedMethod\' isn\'t referenced');
    expect(issue.severity, 'info');
    expect(issue.location.beginLine, 12);
    expect(issue.location.beginColumn, 8);
    expect(issue.location.endLine, 12);
    expect(issue.location.endColumn, 9);
  });
}
